Skip to content
DELETE /unified/ads/ad_groups/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the ad_group.

account_idstring

The unique identifier for the account.

attribution_specstring

The attribution spec for the ad_group.

bidobject

The bid for the ad_group.

adjustmentsobject

The bid adjustments for the ad_group.

amountstring

The bid amount for the ad_group.

constraintsobject

The bid constraints for the ad_group.

objective_valuesobject

The bid values for different objectives of the ad_group.

strategyobject

The bid strategy for the ad_group.

2 properties
idstring

The unique identifier for the bid strategy.

namestring

The name of the bid strategy.

billing_eventstring

The billing event for the ad_group.

Possible values:
app_installsclicksimpressionslink_clicksnoneoffer_claimspage_likespost_engagementvideo_views
budgetobject

The budget for the ad_group.

daily_maxstring

The daily max budget for the ad_group.

daily_minstring

The daily min budget for the ad_group.

lifetime_maxstring

The max budget for the ad_group.

campaign_idstring

The unique identifier for the campaign.

created_atstring · date-time

The date and time the ad_group was created.

destinationobject

The destination type for the ad_group.

idstring

The unique identifier for the destination type.

namestring

The name of the destination type.

Possible values:
undefinedappmessengerwebsiteinstagram_directon_adon_poston_videoon_pageon_event
impressionsobject

The impressions for the ad_group.

daily_minstring

The daily min impressions for the ad_group.

lifetime_maxstring

The max impressions for the ad_group.

issuesobject[]

The issues for the ad_group that prevented ads from being delivered.

codestring

The code for the issue.

descriptionstring

The error summary for the issue.

levelstring

The level for the issue.

messagestring

The error message for the issue.

typestring

The type for the issue.

labelsobject[]

The labels for the ad_group.

idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the ad_group.

optimization_goalstring

The optimization goal for the ad_group.

Possible values:
noneapp_installsad_recall_liftclicksengaged_usersevent_responsesimpressionslead_generationquality_leadlink_clicksoffsite_conversionspage_likes+ 10 more
promoted_objectobject

The promoted object for the ad_group.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

scheduleobject

The schedule for the ad_group.

daysstring[]

The days for the ad_group.

Possible values:
sundaymondaytuesdaywednesdaythursdayfridaysaturday
end_timestring · date-time

The end time for the ad_group.

start_timestring · date-time

The start time for the ad_group.

spendobject

The spend for the ad_group.

cap_enabledboolean

Whether the cap is enabled for the ad_group.

daily_max_capstring

The max cap spend for the ad_group.

daily_min_capstring

The min cap spend for the ad_group.

lifetime_maxstring

The max spend for the ad_group.

start_timestring · date-time

The start time for the ad_group.

statusstring

The status of the campaign.

Possible values:
activeinactivedraftpauseddeletedarchivedin_processwith_issuescompletedcanceledpending_deletion
stop_timestring · date-time

The stop time for the ad_group.

targetingobject

The targeting for the ad_group.

targeting_optimization_typesobject[]
keystring

The key for the targeting optimization type.

valuestring

The value for the targeting optimization type.

updated_atstring · date-time

The date and time the ad_group was last updated.

curl -X DELETE 'https://api.truto.one/unified/ads/ad_groups/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/ad_groups/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/ad_groups/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'ads',
  'adgroups',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "ads",
        "adgroups",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())